Iframes in 1.7 nutzbar?

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
Der Zwerch
Posts: 526
Joined: Sat Jul 28, 2012 11:38 am
Location: Perle der Grafschaft > 127.0.0.1
Contact:

Iframes in 1.7 nutzbar?

Postby Der Zwerch » Wed Aug 09, 2017 6:58 pm

Hallo zusammen,
Ich habe eine Domain, unter der mein Wiki läuft. Diese möchte ich in eine CMSimple-Installation einbinden.
Ich meine, dass man das irgendwie einmal mittels Iframe oder so ähnlich realisieren konnte. Nicht als Link, sondern als eine Seite, einen Teil der bestehenden Homepage. Ich nutze von F. Seiden das "fhs-op2".

Hat jemand eine Idee?

Schönd Grüsse,
Franky
Hoster: Strato
Domains: 9 an der Zahl
CMS: CMSimple_XH, 7x 1.7.0, 1x 1.6.10

cmb
Posts: 11424
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Iframes in 1.7 nutzbar?

Postby cmb » Wed Aug 09, 2017 9:01 pm

Es ist auf jeden Fall möglich auf einer Seite einen IFrame einzubinden, etwa:

Code: Select all

<iframe src="…">
Es kann sein, dass der Editor so konfiguriert ist, dass er <iframe> Elemente entfernt, aber das könnte man ihm abgewöhnen.

Allerdings haben solche IFrames eine feste Größe, so dass der IFrame unter Umständen eigene Scrollbalken hat. Das ist eigentlich nicht so schön, kann aber nur per JavaScript unterbunden werden. Simpleplugins_XH bietet responsive_iframe, und das könnte dieses Scrollbalken-Problem lösen. Ich habe das Plugin allerdings noch nicht ausprobiert; einen Versuch wäre es aber wert.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

frase
Posts: 1238
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Iframes in 1.7 nutzbar?

Postby frase » Thu Aug 10, 2017 7:09 am

Christophs Vorschlag responsive_iframe mit Simpleplugins_XH zu realisieren wird wohl das Beste sein.

Du kannst auch überlegen, ob du den iFrame nicht vielleicht in der Fancybox zeigen möchtest.
Da eine Fancybox im Template schon eingebunden ist, reicht es, den gleichen Linktyp zu verwenden, wie für das klassische Mailformular.
Ich glaube mich zu erinnern, dass du in deinen Seiten das klassische gar nicht verwendest. Deshalb - das ist ein Sonderfall bei dir - ist die ID "mailfrm" frei und du kannst sie für den iFrame verwenden.
Also:

Code: Select all

<p><a id="mailfrm" href="http://deinWiki.de">zu meinem Wiki</a></p>

mhz
Posts: 467
Joined: Tue Jun 25, 2013 8:46 pm
Location: Heusenstamm
Contact:

Re: Iframes in 1.7 nutzbar?

Postby mhz » Thu Aug 10, 2017 12:21 pm

Hier ist simpleplugins_xh zu finden: http://cmsimple-jp.org/xh_plugin/
Das Plugin in den Ordner "plugins" kopieren.
Der Aufruf über den Reiter Plugins bringt für Konfiguration und Sprache nur eine weiße Seite zum Vorschein.
Geht in den Bearbeiten-Modus und dann findet ihr im Editor einen weiteren Reiter: Simple Plugins List.
Durch einen Klick darauf werden euch alle installierten Plugin-Aufrufe zum Einfügen angeboten.
Michael Zajusch (mhz)-- Mein Tutorial für CMSimple_XH. Früher

Holger
Site Admin
Posts: 2618
Joined: Mon May 19, 2008 7:10 pm
Location: Hessen, Germany
Contact:

Re: Iframes in 1.7 nutzbar?

Postby Holger » Thu Aug 10, 2017 2:09 pm

So "wirklich" responsive wird das aber auch mit dem Plugin nicht (Höhe des Iframes).
Ansonsten scheint es, dass die Lösung auf CSS basiert, wie hier beschrieben: http://maddesigns.de/responsive-iframes-2417.html . Das kann dann einfach auch im Stylesheet des Templates eingefügt werden.

Für IFrames auf der gleichen Domain gab es auch mal ein Plugin, das die Höhe automatisch mit Javascript angepasst hat. Mir fällt der Name aber nicht mehr ein :? .

Edit: es war das Wrapper-Plugin von NMUD: http://www.nmud.de/cmsimple-templates/downloads.php
Vermutlich gibt es auch "modernere" Lösungen -- das Plugin ist jedenfalls schon sehr alt und wird wohl auch mit aktuellen CMSimple_XH-Versionen Probleme haben.

mhz
Posts: 467
Joined: Tue Jun 25, 2013 8:46 pm
Location: Heusenstamm
Contact:

Re: Iframes in 1.7 nutzbar?

Postby mhz » Thu Aug 10, 2017 2:24 pm

hier wird es beim Stichwort cookies beschrieben: https://www.spin.de/forum/115/-/66e2
Michael Zajusch (mhz)-- Mein Tutorial für CMSimple_XH. Früher

cmb
Posts: 11424
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Iframes in 1.7 nutzbar?

Postby cmb » Thu Aug 10, 2017 2:36 pm

Holger wrote:Für IFrames auf der gleichen Domain gab es auch mal ein Plugin, das die Höhe automatisch mit Javascript angepasst hat. Mir fällt der Name aber nicht mehr ein :? .

Ursprünglich gab es den wrapper. Gert hat später MagicFrames gemacht. Beides wird aber vermutlich nicht ohne weiteres unter aktuellen CMSimple_XH Versionen funktionieren.

Holger wrote:Ansonsten scheint es, dass die Lösung auf CSS basiert, wie hier beschrieben: http://maddesigns.de/responsive-iframes-2417.html .

Ah, ja. Dort wird weiter unten aber auch ein kleines jQuery-Script angegeben, das die Höhe bei Same-Domain-IFrames per JS anpasst.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 345
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Iframes in 1.7 nutzbar?

Postby Hartmut » Thu Aug 10, 2017 3:44 pm

cmb wrote:
Holger wrote:Für IFrames auf der gleichen Domain gab es auch mal ein Plugin, das die Höhe automatisch mit Javascript angepasst hat. Mir fällt der Name aber nicht mehr ein :? .

Ursprünglich gab es den wrapper. Gert hat später MagicFrames gemacht. Beides wird aber vermutlich nicht ohne weiteres unter aktuellen CMSimple_XH Versionen funktionieren.

Holger wrote:Ansonsten scheint es, dass die Lösung auf CSS basiert, wie hier beschrieben: http://maddesigns.de/responsive-iframes-2417.html .

Ah, ja. Dort wird weiter unten aber auch ein kleines jQuery-Script angegeben, das die Höhe bei Same-Domain-IFrames per JS anpasst.

Eine automatische Höhen und Breitenanpassung ist bei der Einbindung von "ToDo-NSS-TF-Admin" (http://www.keil-portal.de/?Web_Anwendun ... S-TF-Admin) in eine CMSimple_XH Seite verwendet worden und könnte vielleicht auch interessant sein.

Viele Grüße
Hartmut

Der Zwerch
Posts: 526
Joined: Sat Jul 28, 2012 11:38 am
Location: Perle der Grafschaft > 127.0.0.1
Contact:

Re: Iframes in 1.7 nutzbar?

Postby Der Zwerch » Thu Aug 10, 2017 4:27 pm

Hallo zusammen,
cmb wrote:etwa:

Code: Select all

<iframe src="…">
Es kann sein,
Das funktioniert leider nicht. Es scheint so, als ob CMSimple_XH ein Video einbinden möchte.
frase wrote:

Code: Select all

<p><a id="mailfrm" href="http://deinWiki.de">zu meinem Wiki</a></p>
Hmmm ... damit wird zwar etwas erreicht, aber leider dreht sich die "Sanduhr" endlos herum, sonst passiert nichts.
cmb wrote:Simpleplugins_XH bietet responsive_iframe, und das könnte dieses Scrollbalken-Problem lösen.
Hier scheint es irgendwie Probleme mit GXSecurity zu geben.

Leider bin ich nur auf dem Sprung und konnte nicht ausgiebig testen.
Zur Info: mein Wiki und meine Homepage liegen bei einem Anbieter, sind aber über jeweils eigene Domains zu erreichen.
Hoster: Strato
Domains: 9 an der Zahl
CMS: CMSimple_XH, 7x 1.7.0, 1x 1.6.10

cmb
Posts: 11424
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Iframes in 1.7 nutzbar?

Postby cmb » Fri Aug 11, 2017 11:48 am

Der Zwerch wrote:Hallo zusammen,
cmb wrote:etwa:

Code: Select all

<iframe src="…">
Es kann sein,
Das funktioniert leider nicht. Es scheint so, als ob CMSimple_XH ein Video einbinden möchte.

Ich habe gerade mal folgendes ausprobiert, und das funktioniert soweit wie gewünscht:

Code: Select all

<div><iframe src="https://cmsimpleforum.com/" width="500" height="300"></iframe></div>


Der Zwerch wrote:Zur Info: mein Wiki und meine Homepage liegen bei einem Anbieter, sind aber über jeweils eigene Domains zu erreichen.

Dann wird es nicht einfach, den IFrame ohne Scrollbalken zu integrieren. Eventuell ist es besser statt das Wiki einzubetten, einfach dorthin zu verlinken?
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+


Return to “Deutsch”

Who is online

Users browsing this forum: albert and 3 guests